#!/system/bin/sh
# Do NOT assume where your module will be located.
# ALWAYS use $MODDIR if you need to know where this script
# and module is placed.
# This will make sure your module will still work
# if Magisk change its mount point in the future
MODDIR=${0%/*}
# Touch Tweak
# Inisialisasi Menunggu sampai sys.boot_completed memiliki nilai yang tidak kosong
while [ -z "$(resetprop sys.boot_completed)" ]; do
  sleep 5
done

# Konfigurasi Kinerja
echo "1" > /sys/module/msm_performance/parameters/touchboost
echo "1" > /sys/power/pnpmgr/touch_boost
echo "always_on" > /sys/devices/platform/13040000.mali/power_policy
echo "always_on" > /sys/devices/platform/13040000.mali/gpuinfo
echo "always_support" > /sys/devices/system/cpu/cpufreq/policy4/scaling_setspeed
echo "always_support" > /sys/devices/system/cpu/cpufreq/policy6/scaling_setspeed

# Konfigurasi Penjadwalan CPU
echo "1" > /sys/devices/system/cpu/sched/cpu_prefer
echo "boost" > /sys/devices/system/cpu/sched/sched_boost
echo "1" > /sys/devices/system/cpu/eas/enable

# Konfigurasi Layar Sentuh
echo "7035" > /sys/class/touch/switch/set_touchscreen
echo "8002" > /sys/class/touch/switch/set_touchscreen
echo "11000" > /sys/class/touch/switch/set_touchscreen
echo "13060" > /sys/class/touch/switch/set_touchscreen
echo "14005" > /sys/class/touch/switch/set_touchscreen

# Konfigurasi Animasi
su -c "settings put global transition_animation_scale 0.0"
su -c "settings put secure multi_press_timeout 50"
su -c "settings put secure long_press_timeout 95"
su -c "settings put global animator_duration_scale 0.0"
su -c "settings put global window_animation_scale 0.0"
su -c "settings put global block_untrusted_touches 0.0"
su -c "settings put global pointer_speed 0.5"

# Konfigurasi Layar Sentuh
# Mengaktifkan fitur game switch, mengatur arah layar sentuh, dan menonaktifkan batasan layar sentuh
echo "1" > /proc/touchpanel/game_switch_enable
echo "1" > /proc/touchpanel/oppo_tp_direction
echo "0" > /proc/touchpanel/oppo_tp_limit_enable
echo "0" > /proc/touchpanel/oplus_tp_limit_enable
echo "1" > /proc/touchpanel/oplus_tp_direction

####################################
# Touchboost
####################################
echo '0' > "/sys/module/msm_perfmon/parameters/touch_boost_enable"
echo '0' > "/sys/module/msm_perfmon/parameters/touch_boost_freq"
echo '0' > "/sys/module/msm_performance/parameters/touchboost"
echo '0' > "/sys/power/pnpmgr/touch_boost"

exit 0




